summaryrefslogtreecommitdiff
path: root/BaseTools
diff options
context:
space:
mode:
authorSong, BinX <binx.song@intel.com>2017-03-30 16:23:10 +0800
committerHao Wu <hao.a.wu@intel.com>2017-03-31 13:17:00 +0800
commitde87f23291620d36d69ec55ea53a1c38b8780f0b (patch)
tree880c6290731dc9a5ce00ff4991b746384baa7ee0 /BaseTools
parent251779fca719bf9ea00505ee7629c08b452c150d (diff)
downloadedk2-platforms-de87f23291620d36d69ec55ea53a1c38b8780f0b.tar.xz
BaseTools: Update Brotli and BrotliCompress mode and format
V2: - Update correct patch info V1: - Add x mode for Brotli and BrotliCompress - Change Brotli and BrotliCompress format from DOS to UNIX Cc: Liming Gao <liming.gao@intel.com> Contributed-under: TianoCore Contribution Agreement 1.0 Signed-off-by: Bell Song <binx.song@intel.com> Reviewed-by: Liming Gao <liming.gao@intel.com>
Diffstat (limited to 'BaseTools')
-rwxr-xr-x[-rw-r--r--]BaseTools/BinWrappers/PosixLike/Brotli58
-rwxr-xr-x[-rw-r--r--]BaseTools/BinWrappers/PosixLike/BrotliCompress84
2 files changed, 71 insertions, 71 deletions
diff --git a/BaseTools/BinWrappers/PosixLike/Brotli b/BaseTools/BinWrappers/PosixLike/Brotli
index a244ecc095..0945d86d92 100644..100755
--- a/BaseTools/BinWrappers/PosixLike/Brotli
+++ b/BaseTools/BinWrappers/PosixLike/Brotli
@@ -1,29 +1,29 @@
-#!/usr/bin/env bash
-
-full_cmd=${BASH_SOURCE:-$0} # see http://mywiki.wooledge.org/BashFAQ/028 for a discussion of why $0 is not a good choice here
-dir=$(dirname "$full_cmd")
-cmd=${full_cmd##*/}
-
-if [ -n "$WORKSPACE" ] && [ -e "$WORKSPACE/Conf/BaseToolsCBinaries" ]
-then
- exec "$WORKSPACE/Conf/BaseToolsCBinaries/$cmd"
-elif [ -n "$WORKSPACE" ] && [ -e "$EDK_TOOLS_PATH/Source/C" ]
-then
- if [ ! -e "$EDK_TOOLS_PATH/Source/C/bin/$cmd" ]
- then
- echo "BaseTools C Tool binary was not found ($cmd)"
- echo "You may need to run:"
- echo " make -C $EDK_TOOLS_PATH/Source/C"
- else
- exec "$EDK_TOOLS_PATH/Source/C/bin/$cmd" "$@"
- fi
-elif [ -e "$dir/../../Source/C/bin/$cmd" ]
-then
- exec "$dir/../../Source/C/bin/$cmd" "$@"
-else
- echo "Unable to find the real '$cmd' to run"
- echo "This message was printed by"
- echo " $0"
- exit 127
-fi
-
+#!/usr/bin/env bash
+
+full_cmd=${BASH_SOURCE:-$0} # see http://mywiki.wooledge.org/BashFAQ/028 for a discussion of why $0 is not a good choice here
+dir=$(dirname "$full_cmd")
+cmd=${full_cmd##*/}
+
+if [ -n "$WORKSPACE" ] && [ -e "$WORKSPACE/Conf/BaseToolsCBinaries" ]
+then
+ exec "$WORKSPACE/Conf/BaseToolsCBinaries/$cmd"
+elif [ -n "$WORKSPACE" ] && [ -e "$EDK_TOOLS_PATH/Source/C" ]
+then
+ if [ ! -e "$EDK_TOOLS_PATH/Source/C/bin/$cmd" ]
+ then
+ echo "BaseTools C Tool binary was not found ($cmd)"
+ echo "You may need to run:"
+ echo " make -C $EDK_TOOLS_PATH/Source/C"
+ else
+ exec "$EDK_TOOLS_PATH/Source/C/bin/$cmd" "$@"
+ fi
+elif [ -e "$dir/../../Source/C/bin/$cmd" ]
+then
+ exec "$dir/../../Source/C/bin/$cmd" "$@"
+else
+ echo "Unable to find the real '$cmd' to run"
+ echo "This message was printed by"
+ echo " $0"
+ exit 127
+fi
+
diff --git a/BaseTools/BinWrappers/PosixLike/BrotliCompress b/BaseTools/BinWrappers/PosixLike/BrotliCompress
index a571ff6892..59c6465dad 100644..100755
--- a/BaseTools/BinWrappers/PosixLike/BrotliCompress
+++ b/BaseTools/BinWrappers/PosixLike/BrotliCompress
@@ -1,42 +1,42 @@
-#!/usr/bin/env bash
-#
-# This script will exec Brotli tool.
-#
-# Copyright (c) 2017, Intel Corporation. All rights reserved.<BR>
-# This program and the accompanying materials
-# are licensed and made available under the terms and conditions of the BSD License
-# which accompanies this distribution. The full text of the license may be found at
-# http://opensource.org/licenses/bsd-license.php
-#
-# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
-# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
-#
-LVL="--quality 9"
-
-while [ $# != 0 ];do
- case $1 in
- -d)
- ARGS+="--decompress "
- ;;
- -e)
- ;;
- -g)
- ARGS+="--gap $2 "
- shift
- ;;
- -l)
- LVL="--quality $2 "
- shift
- ;;
- -o)
- ARGS+="--output $2 "
- shift
- ;;
- *)
- ARGS+="--input $1 "
- esac
-
-shift
-done
-
-exec Brotli $ARGS $LVL
+#!/usr/bin/env bash
+#
+# This script will exec Brotli tool.
+#
+# Copyright (c) 2017, Intel Corporation. All rights reserved.<BR>
+# This program and the accompanying materials
+# are licensed and made available under the terms and conditions of the BSD License
+# which accompanies this distribution. The full text of the license may be found at
+# http://opensource.org/licenses/bsd-license.php
+#
+# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
+# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
+#
+LVL="--quality 9"
+
+while [ $# != 0 ];do
+ case $1 in
+ -d)
+ ARGS+="--decompress "
+ ;;
+ -e)
+ ;;
+ -g)
+ ARGS+="--gap $2 "
+ shift
+ ;;
+ -l)
+ LVL="--quality $2 "
+ shift
+ ;;
+ -o)
+ ARGS+="--output $2 "
+ shift
+ ;;
+ *)
+ ARGS+="--input $1 "
+ esac
+
+shift
+done
+
+exec Brotli $ARGS $LVL